Subject: bug#11718: 24.1.50; `all-completions' returns results with wrong case

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Jun 2012 11:48:38 -0400

> But is it not the case that `completing-read' should return an actual
> completion candidate (or a string copy, but with the same case at
> least)?

Usually, yes, but when quoting is involved, this is not so clear.
If the user typed C-x C-f $TMP/to TAB she liked "$TMP" so Emacs should
not replace it with "/var/private-tmp-f71dbe52628a3f83a77ab494817525c6/Total"
but with "$TMP/Total".  IOW some of the result should come from the
user's input and some of it from the completion table.

It's already difficult for Emacs to figure out that "tal" is what was
added, so currently it doesn't try to see that "/to" was changed into
"/To" and that this change is not a form of quoting and should hence be
reflected in the user's input.

        Stefan